Tool: get_service
Retrieve a specific service record. A service can represent a manually onboarded MCP server, agent or REST endpoint. This shows the underlying registration specification used to manually onboard a resource.
The following sample demonstrate how to use curl to invoke the get_service MCP tool.
| Curl Request |
|---|
curl --location 'https://agentregistry.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_service", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Message for getting a Service
GetServiceRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the Service. Format: |
Output Schema
Represents a user-defined Service.
Service
| JSON representation |
|---|
{ "name": string, "displayName": string, "description": string, "interfaces": [ { object ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the Service. Format: |
displayName |
Optional. User-defined display name for the Service. Can have a maximum length of |
description |
Optional. User-defined description of an Service. Can have a maximum length of |
interfaces[] |
Optional. The connection details for the Service. |
registryResource |
Output only. The resource name of the resulting Agent, MCP Server, or Endpoint. Format:
|
createTime |
Output only. Create time. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Update time. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Union field spec. The spec of the service. At least one of the specs must be set. spec can be only one of the following: |
|
agentSpec |
Optional. The spec of the Agent. When |
mcpServerSpec |
Optional. The spec of the MCP Server. When |
endpointSpec |
Optional. The spec of the Endpoint. When |
AgentSpec
| JSON representation |
|---|
{
"type": enum ( |
| Fields | |
|---|---|
type |
Required. The type of the agent spec content. |
content |
Optional. The content of the Agent spec in the JSON format. This payload is validated against the schema for the specified type. The content size is limited to |
Struct
| JSON representation |
|---|
{ "fields": { string: value, ... } } |
| Fields | |
|---|---|
fields |
Unordered map of dynamically typed values. An object containing a list of |
FieldsEntry
| JSON representation |
|---|
{ "key": string, "value": value } |
| Fields | |
|---|---|
key |
|
value |
|
Value
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field kind. The kind of value. kind can be only one of the following: |
|
nullValue |
Represents a JSON |
numberValue |
Represents a JSON number. Must not be |
stringValue |
Represents a JSON string. |
boolValue |
Represents a JSON boolean ( |
structValue |
Represents a JSON object. |
listValue |
Represents a JSON array. |
ListValue
| JSON representation |
|---|
{ "values": [ value ] } |
| Fields | |
|---|---|
values[] |
Repeated field of dynamically typed values. |
McpServerSpec
| JSON representation |
|---|
{
"type": enum ( |
| Fields | |
|---|---|
type |
Required. The type of the MCP Server spec content. |
content |
Optional. The content of the MCP Server spec. This payload is validated against the schema for the specified type. The content size is limited to |
EndpointSpec
| JSON representation |
|---|
{
"type": enum ( |
| Fields | |
|---|---|
type |
Required. The type of the endpoint spec content. |
content |
Optional. The content of the endpoint spec. Reserved for future use. |
Interface
| JSON representation |
|---|
{
"url": string,
"protocolBinding": enum ( |
| Fields | |
|---|---|
url |
Required. The destination URL. |
protocolBinding |
Required. The protocol binding of the interface. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌